require "test_helper"

class UsersIndexTest < ActionDispatch::IntegrationTest
  def setup
    @admin = users(:michael)
    @non_admin = users(:archer)
  end

  test "index including pagination and delete links" do
    log_in_as(@admin)
    get users_path
    assert_template "users/index"
    assert_select "div.pagination"

    first_page_of_users = User.where(activated: true).page(1)
    # first_page_of_users.first.toggle!(:activated)
    first_page_of_users.each do |user|
      assert user.activated?
      assert_select "a[href=?]", user_path(user), text: user.name
      unless user == @admin
        assert_select "a[href=?][data-turbo-method='delete']", user_path(user)
      end
    end

    assert_difference "User.count", -1 do
      delete user_path(@non_admin)
    end
  end
end
